Bug 188301 - [NEW PORT] devel/py-configparser: INI style configuration file parser
Summary: [NEW PORT] devel/py-configparser: INI style configuration file parser
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-05 22:50 UTC by Bartek Rutkowski
Modified: 2014-04-13 02:40 UTC (History)
0 users

See Also:


Attachments
py27-configparser-3.3.0r2.shar (1.58 KB, text/plain)
2014-04-05 22:50 UTC, Bartek Rutkowski
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-04-05 22:50:00 UTC
The ancient ConfigParser module available in the standard
library 2.x has seen a major update in Python 3.2. This
is a backport of those changes so that they can be used
directly in Python 2.6 - 2.7

WWW: https://pypi.python.org/pypi/configparser

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: new)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-05 22:50:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-04-13 02:33:50 UTC
Author: swills
Date: Sun Apr 13 01:33:45 2014
New Revision: 351168
URL: http://svnweb.freebsd.org/changeset/ports/351168
QAT: https://qat.redports.org/buildarchive/r351168/

Log:
  The ancient ConfigParser module available in the standard
  library 2.x has seen a major update in Python 3.2. This
  is a backport of those changes so that they can be used
  directly in Python 2.6 - 2.7
  
  WWW: https://pypi.python.org/pypi/configparser
  
  PR:		ports/188301
  Submitted by:	ports@robakdesign.com

Added:
  head/devel/py-configparser/
  head/devel/py-configparser/Makefile   (contents, props changed)
  head/devel/py-configparser/distinfo   (contents, props changed)
  head/devel/py-configparser/pkg-descr   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Sun Apr 13 01:18:14 2014	(r351167)
+++ head/devel/Makefile	Sun Apr 13 01:33:45 2014	(r351168)
@@ -3567,6 +3567,7 @@
     SUBDIR += py-colorama
     SUBDIR += py-conditional
     SUBDIR += py-configobj
+    SUBDIR += py-configparser
     SUBDIR += py-construct
     SUBDIR += py-country
     SUBDIR += py-coverage

Added: head/devel/py-configparser/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/py-configparser/Makefile	Sun Apr 13 01:33:45 2014	(r351168)
@@ -0,0 +1,18 @@
+# $FreeBSD$
+
+PORTNAME=	configparser
+PORTVERSION=	3.3.0r2
+CATEGORIES=	devel python
+MASTER_SITES=	CHEESESHOP
+PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
+
+MAINTAINER=	ports@robakdesign.com
+COMMENT=	INI style configuration file parser
+
+LICENSE=	MIT
+
+USE_PYTHON=	2
+USE_PYDISTUTILS=	yes
+PYDISTUTILS_AUTOPLIST=	yes
+
+.include <bsd.port.mk>

Added: head/devel/py-configparser/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/py-configparser/distinfo	Sun Apr 13 01:33:45 2014	(r351168)
@@ -0,0 +1,2 @@
+SHA256 (configparser-3.3.0r2.tar.gz) = 6a2318590dfc4013fc5bf53c2bec14a8cb455a232295eb282a13f94786c4b0b2
+SIZE (configparser-3.3.0r2.tar.gz) = 32885

Added: head/devel/py-configparser/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/py-configparser/pkg-descr	Sun Apr 13 01:33:45 2014	(r351168)
@@ -0,0 +1,6 @@
+The ancient ConfigParser module available in the standard
+library 2.x has seen a major update in Python 3.2. This
+is a backport of those changes so that they can be used
+directly in Python 2.6 - 2.7
+
+WWW: https://pypi.python.org/pypi/configparser
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Steve Wills freebsd_committer 2014-04-13 02:34:02 UTC
State Changed
From-To: open->closed

New port added. Thanks!